<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableLandmark extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('map_landmark', function (Blueprint $table) {
            $table->increments('id');
            $table->string('lat',20)->comment('纬度');
            $table->string('lng',20)->comment('经度');
            $table->string('title',100)->comment('标题');
            $table->string('subtitle',100)->comment('副标题');
            $table->longText('content')->comment('地标详情');
            $table->unsignedInteger('like')->comment('点赞');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('map_landmark');
    }
}
